Skip to main content
POST
/
api
/
v1
/
a2ui
/
surfaces
/
{surface_id}
/
feedback
CreateSurfaceFeedback
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.A2UI.CreateSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceCreateSurfaceFeedbackRequest{
        SurfaceID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.A2UIServiceCreateSurfaceFeedbackResponse != nil {
        // handle response
    }
}
{
  "feedback": {
    "actionName": "<string>",
    "componentsSnapshot": "<string>",
    "conversationId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "dataModelSnapshot": "<string>",
    "id": "<string>",
    "schemaVersion": "<string>",
    "sentiment": "A2UI_SURFACE_FEEDBACK_SENTIMENT_UNSPECIFIED",
    "surfaceId": "<string>",
    "text": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

surface_id
string
required

The surfaceId field.

Body

application/json

A2UIServiceCreateSurfaceFeedbackRequest creates feedback for a surface.

conversationId
string

The conversationId field.

sentiment
enum<string>

The sentiment field.

Available options:
A2UI_SURFACE_FEEDBACK_SENTIMENT_UNSPECIFIED,
A2UI_SURFACE_FEEDBACK_SENTIMENT_POSITIVE,
A2UI_SURFACE_FEEDBACK_SENTIMENT_NEGATIVE
text
string

The text field.

Response

200 - application/json

A2UIServiceCreateSurfaceFeedbackResponse returns the created feedback.

A2UIServiceCreateSurfaceFeedbackResponse returns the created feedback.

feedback
A 2 Ui Surface Feedback · object

A2UISurfaceFeedback represents user feedback for a surface.